package app.entities;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Table;
import java.io.Serializable;

@Entity
@IdClass(StudentClassesKey.class)
@Table(name = "student_omp_classes")
public class StudentClassesEntity implements Serializable {

    @Id
    public String username;

    @Id
    public String classCode;

    public StudentClassesEntity() {
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getClassCode() {
        return classCode;
    }

    public void setClassCode(String classCode) {
        this.classCode = classCode;
    }

}
